# csv2ankicards

A simple toolkit that offers:
- Conversion of CSV files into Anki deck packages (.apkg files).
- Conversion of image files in a directory to a text file using Optical Character Recognition (OCR).

## Features

- Converts a CSV file with questions and answers into an Anki deck package.
- Converts image files from a specified directory to a single text file using OCR.
- For CSV: there are only two columns in the CSV file, separated by the first comma encountered.
- CSV files should have a "Front" column for questions and a "Back" column for answers.

## Installation

1. Clone this repository:
   ```bash
   git clone https://git.rudefox.io/bj/anki-csv2ankicards.git
   cd csv2ankicards
   ```

2. Set up a virtual environment and activate it:
   ```bash
   python3 -m venv venv
   source venv/bin/activate
   ```

3. Install the required packages:
   ```bash
   pip install -r requirements.txt
   ```

## Usage

### CSV to Anki Conversion

To convert a CSV file into an Anki deck package:

```bash
python csv2ankicards.py /path/to/your/csvfile.csv output.apkg
```

This will produce an `output.apkg` file which can then be imported into Anki.

#### CSV Format

The CSV file should follow this format:

```
Front,Back
Your question here,Your answer here
Another question,list of: answer1, answer2, answer3
...
```

**Note:** If your answers contain commas, they will be considered as part of the answer. Only the first comma is used to separate the question from the answer.

### Image to Text Conversion

To convert images from a directory to a single text file using OCR:

```bash
python images2text.py /path/to/your/image_directory/
```

This will produce a `final.txt` file which contains the text extracted from the images.

#### Supported Image Formats

Currently supported formats for the images are: `.png`, `.jpg`, and `.jpeg`.

## License

[MIT License](LICENSE)

## Contributing

Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.